org.eclipse.net4j.db.ddl

## Interface IDBIndexField

- All Superinterfaces:
    Comparable<IDBSchemaElement>, IContainer<IDBSchemaElement>, IDBElement, IDBNamedElement, IDBSchemaElement, INotifier, PositionProvider
  All Known Subinterfaces:
    InternalDBIndexField

      public interface IDBIndexField
      extends IDBSchemaElement, PositionProvider

  An index field specification in a `DB index`.
  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `IDBSchemaElement.SchemaElementType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBField` | `getField()`
    `IDBIndex` | `getIndex()`
    `IDBIndex` | `getParent()`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `accept, getElement, getFullName, getSchema, getSchemaElementType, remove, setName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

      `getPosition`

- - ### Method Detail

    - #### getParent

          IDBIndex getParent()

      Specified by:
        `getParent` in interface `IDBSchemaElement`
      Since:
        4.2

    - #### getIndex

          IDBIndex getIndex()

    - #### getField

          IDBField getField()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html